lp(1)

NOME
lp - imprime ficheiros

RESUMO
lp [ -h hostname[:port] ] [ -E ] [ -U username ] [ -c ] [ -d destination[/instance] ] [ -m ] [ -n num-copies ] [ -o option[=value] ] [ -q priority ] [ -s ] [ -t title ] [ -H handling ] [ -P page-list ] [ -- ] [ file(s) ]
lp [ -h hostname[:port] ] [ -E ] [ -U username ] [ -c ] [ -i job-id ] [ -n num-copies ] [ -o option[=value] ] [ -q priority ] [ -t title ] [ -H handling ] [ -P page-list ]

DESCRIÇÃO
lp submete ficheiros para impressão ou altera um trabalho pendente. Use um nome de ficheiro de "-" para forçar a impressão a partir da entrada standard.

  O DESTINO PREDEFINIDO
CUPS fornece muitas maneiras de definir o destino predefinido. As variáveis de ambiente LPDEST e PRINTER são consultadas primeiro. Se nenhuma estiver definida, é usada a predefinição actual definida usando o co,mando lpoptions(1), seguindo-se pela predefinição definida usando o comando lpadmin(8).

OPÇÕES
As seguintes opções são reconhecidas pelo lp:

--  Marca o fim das opções; use isto para imprimir um ficheiro cujo nome começa com um traço (-).

-E  Força encriptação ao ligar ao servidor.

-U username
    Especifica o nome de utilizador a usar quando liga ao servidor.

-c  Esta opção é fornecida apenas para compatibilidade com sistemas anteriores. Nos sistemas que a suportam, esta opção força o ficheiro de impressão a ser copiado para o directório spool antes de imprimir. No CUPS, os ficheiros de impressão são sempre enviados para o agendamento via IPP o que tem o mesmo efeito.

-d destination
    Imprime ficheiros na impressora nomeada.

-h hostname[:port]
    Escolhe um servidor alternativo. Nota: Esta opção tem de ocorrer antes de todas as outras.

-i job-id
    Especifica um trabalho existente para modificar.

-m  Envia um email quando o trabalho estiver concluído.

-n copies
    Define o número de cópias a imprimir.

-o "name=value [ ... name=value ]"
    Define uma ou mais opções de trabalho. Veja "OPÇÕES DE TRABALHO COMUNS" em baixo.

-q priority
    Define a prioridade de trabalho de 1 (mais baixa) até 100 (mais alta). A prioridade predefinida é 50.

-s  Não reporta os IDs de trabalho resultantes (modo silencioso).

-t "name"
    Define o nome do trabalho.

-H hh:mm

-H hold

-H immediate

-H restart

-H resume
    Especifica quando um trabalho deve ser imprimido. Um valor immediate irá imprimir o ficheiro imediatamente, um valor hold irá reter o trabalho indefinidamente, e uma valor de hora UTC (HH:MM) irá reter o trabalho até à hora UTC (não local) especificada. Use um valor resume com a opção -i para resumir um trabalho retido. Use um valor restart com a opção -i para reiniciar um trabalho concluído.

-P page-list
    Especifica quais páginas a imprimir num documento. A lista pode conter uma lista de números e alcances (#-#) separados por vírgulas, ex. "1,3-5, 16". Os números de páginas referem-se às páginas de saída e não às páginas originais do documento - opções como "number-up" podem afectar a numeração das páginas.

  OPÇÕES DE TRABALHO COMUNS
A parte das opções específicas da impressora reportadas pelo comando lpoptions(1), estão disponíveis as seguintes opções genéricas:

-o job-sheets=name
    Imprime uma página capa (banner) com o documento. O "name" pode ser "classified", "confidential", "secret", "standard", "topsecret", ou "unclassified".

-o media=size
    Define o tamanho de papel para size. A maioria das impressoras suportam pelo menos os nomes de tamanho "a4", "letter", e "legal".

-o number-up={2|4|6|9|16}
    Imprime 2, 4, 6, 9, ou 16 páginas (entrada) do documento em cada página de saída.

-o orientation-requested=4
    Imprime o trabalho em paisagem (rodado 90 graus no sentido contrário aos ponteiros do relógio).

-o orientation-requested=5
    Imprime o trabalho em paisagem (rodando 90 graus no sentido dos ponteiros do relógio).

-o orientation-requested=6
    Imprime o trabalho em retrato reverso (rodado 180 graus).

-o print-quality=3

-o print-quality=4

-o print-quality=5
    Especifica a qualidade de resultado - draft (3), normal (4), ou best (5).

-o sides=one-sided
    Imprime em um lado do papel.

-o sides=two-sided-long-edge
    Imprime em ambos lados do papel em saída retrato.

-o sides=two-sided-short-edge
    Imprime em ambos lados do papel em saída paisagem.

DE ACORDO COM
Ao contrário do sistema de impressão System V, o CUPS permite que os nomes das impressoras contenham qualquer caractere imprimível excepto SPACE, TAB, "/", ou "#". Também, os nomes das impressoras e classes não são sensíveis a maiúsculas/minúsculas.

A opção -q aceita um alcance de valores diferente daquele do comando lp do Solaris, correspondendo aos valores de prioridade de trabalho do IPP (1-100, 100 é a prioridade mais alta) em vez dos valores do Solaris (0-39, 0 é a prioridade mais alta).

EXEMPLOS
Imprimir duas cópias dum documento na impressora predefinida:

    lp -n 2 filename

Imprimir um documento legal de duplo-tamanho numa impressora chamada "foo":

    lp -d foo -o media=legal -o sides=two-sided-long-edge filename

Imprimir um documento de apresentação 2-up numa impressora chamada "bar":

    lp -d bar -o number-up=2 filename

VEJA TAMBÉM
cancel(1), lpadmin(8), lpoptions(1), lpq(1), lpr(1), lprm(1), lpstat(1), Ajuda Online do CUPS (http://localhost:631/help)

COPYRIGHT
Copyright © 2021-2023 by OpenPrinting.